com.microfocus.zos.model

## Class Activator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - com.microfocus.zos.model.Activator

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class Activator
      extends org.eclipse.core.runtime.Plugin

  Activator of plug-in "com.microfocus.zos.model".
  Author:
    Micro Focus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLUGIN_ID` The plug in ID

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Activator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Activator` | `getDefault()` Gets the started instance or `null` if the plug-in is not started.
    `void` | `start(org.osgi.framework.BundleContext bundleContext)`
    `void` | `stop(org.osgi.framework.BundleContext bundleContext)`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      The plug in ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Activator

          public Activator()

  - ### Method Detail

    - #### getDefault

          public static Activator getDefault()

      Gets the started instance or `null` if the plug-in is not started.
      Returns:
        the plug-in instance or `null`

    - #### start

          public void start(org.osgi.framework.BundleContext bundleContext)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.core.runtime.Plugin`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext bundleContext)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.core.runtime.Plugin`
      Throws:
        `java.lang.Exception`

Copyright © 2015 Micro Focus GmbH. All rights reserved.